Name:           okhttp
Version:        2.2.0
Release:        5%{?dist}
Summary:        An HTTP+SPDY client for Java applications

License:        ASL 2.0
URL:            http://square.github.io/%{name}/
Source0:        https://github.com/square/%{name}/archive/parent-%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch0:         okhttp-2.2.0-airline-0.7.patch

BuildArch:      noarch

BuildRequires: maven-local
BuildRequires: mvn(com.google.code.gson:gson)
BuildRequires: mvn(com.squareup.okio:okio)
BuildRequires: mvn(io.airlift:airline)
BuildRequires: mvn(org.apache.maven.plugins:maven-checkstyle-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-release-plugin)
BuildRequires: mvn(org.bouncycastle:bcprov-jdk15on)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)

Obsoletes:     %{name}-protocols < 2

%description
An HTTP+SPDY client for Android and Java applications.


%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.

%package parent
Summary:        Parent POM for OkHttp

%description parent
%{summary}.

%package apache
Summary:        OkHttp Apache HttpClient

%description apache
%{summary}.

%package samples
Summary:        OkHttp Samples (Parent)

%description samples
%{summary}.

%package samples-guide
Summary:        OkHttp Sample: Guide

%description samples-guide
%{summary}.

%package samples-simple-client
Summary:        OkHttp Sample: Simple Client

%description samples-simple-client
%{summary}.

%package okcurl
Summary:        A curl for the next-generation web

%description okcurl
OkCurl is an OkHttp-backed curl clone which
allows you to test OkHttp's HTTP engine
(including SPDY and HTTP/2) against web servers.

%prep
%setup -q -n %{name}-parent-%{version}

# Plugin prevents build
%pom_remove_plugin org.codehaus.mojo:animal-sniffer-maven-plugin

# templating-maven-plugin is not available in Fedora. Filter sources
# manually before build.
%pom_remove_plugin :templating-maven-plugin okhttp
sed 's|\${project.version}|%{version}|' okhttp/src/main/java-templates/com/squareup/okhttp/internal/Version.java >okhttp/src/main/java/com/squareup/okhttp/internal/Version.java

%pom_disable_module mockwebserver
%pom_disable_module benchmarks
%pom_disable_module static-server samples
%pom_disable_module crawler samples
%pom_disable_module okhttp-tests
%pom_disable_module okhttp-urlconnection

# Unwanted plugin
%pom_remove_plugin :maven-assembly-plugin okcurl
# Unavailable plugin
%pom_remove_plugin org.skife.maven:really-executable-jar-maven-plugin okcurl
# Fix main class
%pom_add_plugin "org.apache.maven.plugins:maven-jar-plugin:2.4" okcurl "
<configuration>
  <archive>
    <manifest>
      <mainClass>com.squareup.okhttp.curl.Main</mainClass>
    </manifest>
  </archive>
</configuration>"

%patch0 -p1

%build
# We don't have all test deps (e.g. npn-boot)
%mvn_build -s --skip-tests -- -P !alpn-when-jdk8


%install
%mvn_install


%files -f .mfiles-%{name}
%dir %{_javadir}/%{name}
%doc CHANGELOG.md CONTRIBUTING.md README.md
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%files parent -f .mfiles-parent
%license LICENSE.txt

%files apache -f .mfiles-%{name}-apache
%files samples -f .mfiles-sample-parent
%files samples-guide -f .mfiles-guide
%files samples-simple-client -f .mfiles-simple-client
%files okcurl -f .mfiles-okcurl


%changelog
* Sun Aug 16 2015 gil cattaneo <puntogil@libero.it> 2.2.0-5
- enable okcurl module
- introduce license macro

* Thu Jun 18 2015 Mat Booth <mat.booth@redhat.com> - 2.2.0-4
- Add missing BR to fix FTBFS

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Mar 12 2015 Mikolaj Izdebski <mizdebsk@redhat.com> - 2.2.0-2
- Add obsoletes for %{name}-protocols

* Wed Mar 11 2015 Mikolaj Izdebski <mizdebsk@redhat.com> - 2.2.0-1
- Update to upstream version 2.2.0

* Thu Sep 25 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 2.0.0-1
- Update to upstream version 2.0.0

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Mar 04 2014 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.2.1-2
- Use Requires: java-headless rebuild (#1067528)

* Sat Nov 23 2013 Gerard Ryan <galileo@fedoraproject.org> - 1.2.1-1
- Initial rpm
